Skip to main content
POST
/
query
/
_apl?format=tabular
cURL
curl --request POST \
  --url 'https://{axiom-domain}/v1/query/_apl?format=tabular' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apl": "<string>",
  "cursor": "<string>",
  "defaultLimit": 123,
  "defaultOrder": [
    {
      "desc": true,
      "field": "<string>"
    }
  ],
  "endTime": "<string>",
  "includeCursor": true,
  "includeCursorField": true,
  "libraries": [
    "<string>"
  ],
  "maxBinAutoGroups": 123,
  "queryOptions": {
    "against": "<string>",
    "againstStart": "<string>",
    "againstTimestamp": "<string>",
    "aggChartOpts": "<string>",
    "caseSensitive": "<string>",
    "containsTimeFilter": "<string>",
    "datasets": "<string>",
    "displayNull": "<string>",
    "editorContent": "<string>",
    "endColumn": "<string>",
    "endLineNumber": "<string>",
    "endTime": "<string>",
    "integrationsFilter": "<string>",
    "nanosecondPrecision": "<string>",
    "openIntervals": "<string>",
    "overlayCharts": "<string>",
    "queryObject": "<string>",
    "quickRange": "<string>",
    "resolution": "<string>",
    "resultsHistogram": "<string>",
    "selection": "<string>",
    "shownColumns": "<string>",
    "startColumn": "<string>",
    "startLineNumber": "<string>",
    "startTime": "<string>",
    "timeSeriesVariant": "<string>",
    "timeSeriesView": "<string>"
  },
  "startTime": "<string>",
  "variables": {}
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://axiom.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.The base domain for this endpoint is the base domain of the edge deployment where you want to query data.
Edge deploymentBase domain for ingest and query
US East 1 (AWS)us-east-1.aws.edge.axiom.co
EU Central 1 (AWS)eu-central-1.aws.edge.axiom.co
This endpoint only supports API tokens. Personal access tokens (PATs) aren’t supported. For more information, see Tokens.

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Query Parameters

format
enum<string>
required
Available options:
legacy,
tabular,
tabular-rows
nocache
boolean
default:false
saveAsKind
string
id
string

when saveAsKind is true, this parameter indicates the id of the associated dataset

streaming-duration
string
apl-source
string

contains the source of the APL query (for example console, dashboard, etc.)

apl-source-id
string

contains the id of the source, for example dashboard_id

totals
boolean

Include a totals table (only supported in MetricsDB)

Body

application/json
apl
string
required

APL query string

cursor
string

Pagination cursor

defaultLimit
integer

The default limit to use when no limit is specified in the query.

defaultOrder
object[]

The default order to use when no order is specified in the query.

endTime
string

End time for the query range

includeCursor
boolean

Include cursor in response

includeCursorField
boolean

Defines if the _cursor field should be projected in the result

libraries
string[]

library ids to include in this query

maxBinAutoGroups
integer

Maximum number of groups to automatically bin into

queryOptions
object
startTime
string

start and end time for the query, these must be specified as RFC3339 strings or using relative time expressions (e.g. now-1h, now-1d, now-1w, etc)

variables
object

Variables is an optional set of additional variables that are inserted into the APL

Response

AplResult

APL query result (streaming binary data)